/++	Convenience file that allows to import entire phobos-next in one import. +/
module nxt;

public alias dbg = nxt.dbgio; // Mimic Rust's `std.dbg`.
public import nxt.ada_defs;
public import nxt.address;
public import nxt.aggregate_layout;
public import nxt.agnostics;
public import nxt.algorithm;
public import nxt.algorithm_ex;
public import nxt.align_reorder;
public import nxt.allocator_traits;
public import nxt.ansi_escape;
public import nxt.appender_stack;
public import nxt.appending;
public import nxt.array_help;
public import nxt.array_traits;
public import nxt.assert_ex;
public import nxt.assuming;
public import nxt.attributes;
public import nxt.bcmm;
public import nxt.behaviorism;
public import nxt.benchmark;
public import nxt.bijections;
public import nxt.bit_traits;
public import nxt.bitarray_algorithm;
public import nxt.bitop_ex;
public import nxt.borrowed;
public import nxt.borrown;
public import nxt.bound;
public import nxt.byline;
public import nxt.capitalization;
public import nxt.casing;
public import nxt.cconv;
public import nxt.char_traits;
public import nxt.chunking;
public import nxt.class_range;
public import nxt.cli;
public import nxt.clz;
public import nxt.codec;
public import nxt.color;
public import nxt.combinations;
public import nxt.concatenation;
public import nxt.construction;
public import nxt.container;
public import nxt.conv;
public import nxt.conv_ex;
public import nxt.conv_itos;
public import nxt.cpuid_ex;
public import nxt.csunits;
public import nxt.datetime_ex;
public import nxt.dbgio;
public import nxt.deepdup;
public import nxt.diagnostics;
public import nxt.dicom;
public import nxt.digest;
public import nxt.digest_ex;
public import nxt.digestion;
public import nxt.dip_traits;
public import nxt.dlang_traits;
public import nxt.effects;
public import nxt.elfdoc;
public import nxt.emplace_all;
public import nxt.enum_ex;
public import nxt.enums;
public import nxt.expected;
public import nxt.fancyio;
public import nxt.fast_appender;
public import nxt.fastcast;
public import nxt.file;
public import nxt.filetype;
public import nxt.filters;
public import nxt.find_ex;
public import nxt.flatten_trait;
public import nxt.functional_ex;
public import nxt.gc_traits;
public import nxt.geodetic;
public import nxt.geometry;
public import nxt.getopt_ex;
public import nxt.gettext;
public import nxt.git;
public import nxt.graph;
public import nxt.hash_functions;
public import nxt.horspool;
public import nxt.hungarian;
public import nxt.hybridsort;
public import nxt.inplace_algorithm;
public import nxt.inplace_substitution;
public import nxt.integer_sorting;
public import nxt.ipa;
public import nxt.iso_639_1;
public import nxt.iso_639_2;
public import nxt.ixes;
public import nxt.json;
public import nxt.knuthhash64;
public import nxt.lazy_regex;
public import nxt.leb128;
public import nxt.limits;
public import nxt.line_column;
public import nxt.lingua;
public import nxt.lispy;
public import nxt.lsp;
public import nxt.logger;
public import nxt.magics;
public import nxt.mangling;
public import nxt.masking;
public import nxt.math_ex;
public import nxt.mathml;
public import nxt.maxsize_trait;
public import nxt.memuse;
public import nxt.meta_ex;
public import nxt.mmfile_ex;
public import nxt.mml;
public import nxt.modulo;
public import nxt.nesses;
public import nxt.notnull;
public import nxt.logic;
public import nxt.nullable_traits;
public import nxt.numerals;
public import nxt.numeric_ex;
public import nxt.offset;
public import nxt.optional;
public import nxt.overlapping;
public import nxt.owned;
public import nxt.packed;
public import nxt.packed_string;
public import nxt.packed_variant;
public import nxt.parallelism_ex;
public import nxt.patching;
public import nxt.path;
public import nxt.pcg;
public import nxt.permutations;
public import nxt.persistence;
public import nxt.predicates;
public import nxt.prime_modulo;
public import nxt.probing;
public import nxt.process;
public import nxt.products;
public import nxt.pythagorean_triples;
public import nxt.qcmeman;
public import nxt.quoting;
public import nxt.random;
public import nxt.range_ex;
public import nxt.rational;
public import nxt.rdf;
public import nxt.reduction;
public import nxt.reflection;
public import nxt.region;
public import nxt.result;
public import nxt.sampling;
public import nxt.semver;
public import nxt.serialization;
public import nxt.setops_ex;
public import nxt.skip_ex;
public import nxt.slicing;
public import nxt.soa_petar_kirov;
public import nxt.sort_ex;
public import nxt.sourced;
public import nxt.srx;
public import nxt.sso_string;
public import nxt.static_array_algorithm;
public import nxt.static_iota;
public import nxt.static_regex;
public import nxt.io;
public import nxt.stemming;
public import nxt.storage;
public import nxt.string_ex;
public import nxt.string_traits;
public import nxt.substitution;
public import nxt.sumo;
public import nxt.sumo_kif;
public import nxt.suppressing;
public import nxt.syllables;
public import nxt.ties;
public import nxt.traits_ex;
public import nxt.translation;
public import nxt.typecons;
public import nxt.typedoc;
public import nxt.uncopyable_sample;
public import nxt.unique_range;
public import nxt.unsafe;
public import nxt.uri_algorithm;
public import nxt.variant;
public import nxt.vector_traits;
public import nxt.visiting;
public import nxt.w3c;
public import nxt.wideint;
public import nxt.xxhash64;
